Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1356479

Summary: Unusable pkgconfig fila
Product: [Fedora] Fedora Reporter: Alexandre Silva Lopes <jaslopes>
Component: gkrellmAssignee: Hans de Goede <hdegoede>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 24CC: hdegoede, pavel.lisy, ville.skytta
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: gkrellm-2.3.7-2.fc24 gkrellm-2.3.7-2.fc23 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-07-22 18:23:00 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Alexandre Silva Lopes 2016-07-14 08:39:19 UTC
Description of problem: gkrellm has an unusable pkgconfig file


Version-Release number of selected component (if applicable): 2.3.6-0.1.rc1.git20160226


How reproducible: always


Steps to Reproduce:
1. Install gkrellm-devel
2. Make some pkg-config query about gkrellm, e.g. "pkg-config --cflags gkrellm"

Actual results: Error message "Package 'gkrellm' has no Name: field"


Expected results: No error message, proper information returned


Additional info: none

Comment 1 Fedora Update System 2016-07-14 09:17:36 UTC
gkrellm-2.3.7-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bc378ac586

Comment 2 Fedora Update System 2016-07-14 09:18:06 UTC
gkrellm-2.3.7-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5f227d4156

Comment 3 Alexandre Silva Lopes 2016-07-14 15:23:37 UTC
Can you add also the "Libs:" line to the pkgconfig file? It is missing, while it exists in version 2.3.5.

Comment 4 Fedora Update System 2016-07-14 15:52:55 UTC
gkrellm-2.3.7-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bc378ac586

Comment 5 Fedora Update System 2016-07-14 22:28:07 UTC
gkrellm-2.3.7-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5f227d4156

Comment 6 Ville Skyttä 2016-07-15 07:44:23 UTC
(In reply to Alexandre Silva Lopes from comment #3)
> Can you add also the "Libs:" line to the pkgconfig file? It is missing,
> while it exists in version 2.3.5.

Where, specifically? I don't see it.

$ curl -O https://kojipkgs.fedoraproject.org//packages/gkrellm/2.3.5/22.fc23/x86_64/gkrellm-devel-2.3.5-22.fc23.x86_64.rpm
$ rpmdev-extract gkrellm-devel-2.3.5-22.fc23.x86_64.rpm 
$ grep -i libs gkrellm-devel-2.3.5-22.fc23.x86_64/usr/lib64/pkgconfig/gkrellm.pc
(nothing)

And besides, I don't know what Libs would contain here. There's no library to link with in gkrellm.

Comment 7 Alexandre Silva Lopes 2016-07-15 13:35:45 UTC
Sorry, my fault. There's a"Libs:" line only in Windows. So, it's perfect the way it is!

Comment 8 Fedora Update System 2016-07-22 18:22:58 UTC
gkrellm-2.3.7-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-07-23 00:18:53 UTC
gkrellm-2.3.7-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.